<?xml version="1.0"?>
<drwcsd-proxy>
  <!-- Specify path to cahe directory, if not specified will create directory in user temp -->
  <cache-root>C:\Work\es_head\build\a-x86\bin\var</cache-root>

  <!-- property: ip, ipx, netbios, unx: define protocol family and address of addapter -->
  <!-- property: port: define port to listen on. Default 2193 or 23 for netbios -->
  <!-- property: name: define discovery name. Default drwcs -->
  <!-- property: discovery: define should proxy run discovery server too -->
  <!-- property: multicast: define should proxy enter to multicast group -->
  
  <!-- For example -->
  <!-- Listen on IN_ADDR_ANY port 2193, run discovery on 231.0.0.1 --> 
  <listen spec="ip(), multicast()">
    <!-- one or more forward tags-->
    <forward to="tcp/server1.isp.net:2193"/> 
    <forward to="tcp/server2.isp.net:2193"/>
  </listen>

  <!-- Listen on ipv6 IN6_ADDR_ANY, port 2194, run discovery on ff18::231.0.0.1 --> 
  <listen spec="ip([]), port(2194), multicast([])">
    <forward to="tcp/server1.isp.net:2193"/>
    <forward to="tcp/server2.isp.net:2193"/>
    <forward to="tcp/[2001:0db8:11a3:09d7:1f34:8a2e:07a0:765d]:2193"/>
  </listen>

  <!-- Listen on default ipx, port 2194, run simple discovery --> 
  <listen spec="ipx(), discovery()">
    <forward to="tcp/server1.isp.net:2193"/>
    <forward to="tcp/server2.isp.net:2193"/>
  </listen>
  
  <!-- Listen on default netbios, port 23, lana 0, run simple discovery --> 
  <listen spec="netbios(), discovery()">
    <forward to="tcp/server1.isp.net:2193"/>
    <forward to="tcp/server2.isp.net:2193"/>
  </listen>
</drwcsd-proxy>
